Bug 102668 - keyboard desktop or app switching broken
keyboard desktop or app switching broken
Product: Red Hat Linux Beta
Classification: Retired
Component: XFree86 (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
Depends On:
Blocks: CambridgeBlocker
  Show dependency treegraph
Reported: 2003-08-19 14:06 EDT by Alexandre Oliva
Modified: 2007-04-18 12:56 EDT (History)
9 users (show)

See Also:
Fixed In Version: 4.3.0-25
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-09-02 22:48:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Alexandre Oliva 2003-08-19 14:06:41 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030703

Description of problem:
After upgrading all XFree86 packages in Severn to 4.3.0-20, using the keyboard
to switch between virtual desktops (Ctrl-Alt-Arrow)  or even between
applications (Alt-Tab) has begun to display a very annoying problem.  After the
switch, even though I've already released all of the keys used for the switch,
the window that popped up at the center of the screen containing the list of
desktops or of apps remains, so you have to press and release Alt again in order
for the application or desktop you've switched to to get focus.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Install Severn, upgrade XFree86* to 4.3.0-20
2.Enter Alt-Tab or Ctrl-Alt-Arrow, and release all of the keys

Actual Results:  The mini-window with the list of apps or desktops remains.  You
have to press and release alt for it to go away.  I hope this is not a feature.

Expected Results:  I'd rather it behaved like -18, when the mini-window went
away when I released the alt key.

Additional info:
Comment 1 Alexandre Oliva 2003-08-19 14:18:06 EDT
It actually gets much worse.  If focus is configured to follow the mouse,
Alt-Tab won't work at all.  After Alt-Tab, focus is on the application switcher
mini-window.  Pressing Alt again for it to go away, focus follows mouse,
regardless of which app you chose to switch to.
Comment 2 Mike A. Harris 2003-08-19 14:50:40 EDT
Ok, some of the bugfixes are going to have to be backed out.  We'll have
to pinpoint the one that is causing the problem, but I think I know which
one it might be.
Comment 3 Vegar Nilsen 2003-08-22 15:58:07 EDT
Just upgraded XFree86 to 4.3.0-21, same problem as with -20. If I go to
"Preferences -> Keyboard Shortcuts" and try to assign the usual ALT-TAB shortcut
to the "Move between windows with popup" action, only "Alt_L" is registered when
I press ALT-TAB. It seems like ALT has lost it's modifier status, and is instead
a normal key.

I have these options in /etc/X11/XF86Config:
        Identifier  "Keyboard0"
        Driver      "keyboard"
        Option      "XkbRules" "xfree86"
        Option      "XkbModel" "pc105"
        Option      "XkbLayout" "no"

This used to work before I upgraded to XFree86-4.3.0-20
Comment 4 Mike A. Harris 2003-08-22 23:34:48 EDT
This is believed to be fixed now in 4.3.0-22.  Please upgrade, and test, and
reopen the report if the problem persists.

Closing as RAWHIDE
Comment 5 Joshua Legbandt 2003-08-24 03:28:37 EDT
installed the 4.3.0-22 rpms from
ftp://people.redhat.com/mharris/testing/unstable/XFree86/4.3.0-22/ and the
alt-tab problem is gone.
Comment 6 Mike A. Harris 2003-08-24 04:04:45 EDT
Ok, thanks for the update Joshua.  Closing bug as fixed in XFree86 4.3.0-22
in rawhide.
Comment 7 Alexandre Oliva 2003-08-25 23:55:15 EDT
The left Alt key indeed works, but the right Alt key still mis-behaves.  I don't
think this difference is intentional, is it?
Comment 8 Leonard den Ottolander 2003-08-26 07:40:22 EDT
Also have a look at bug #103051.
Comment 9 Havoc Pennington 2003-08-29 11:42:04 EDT
perhaps xmodmap output is enlightening?
Comment 10 Owen Taylor 2003-08-29 12:18:11 EDT
'xkbcomp :0 output.xkb' output is probably more useful than xmodmap,
which is a pale shadow of the keyboard configuration kept around for
compatability purposes.

Comment 11 Mike A. Harris 2003-09-02 22:48:56 EDT
Fixed in 4.3.0-25, the Jumbo Tiger Shrimp(TM) edition

Note You need to log in before you can comment on or make changes to this bug.